/*
Copyright (C) 2016, Vershinin Ivan
*/

package ru.vershinin.medical.lelmon;

import android.graphics.Color;

public interface Constants {

    public static final String LEL_DEVICE_NAME = "LEL";

    // Message types sent from the BluetoothService Handler
    public static final int MESSAGE_STATE_CHANGE = 1;
    public static final int MESSAGE_READ = 2;
    public static final int MESSAGE_WRITE = 3;
    public static final int MESSAGE_DEVICE_NAME = 4;
    public static final int MESSAGE_TOAST = 5;

    // Key names received from the BluetoothService Handler
    public static final String DEVICE_NAME = "device_name";
    public static final String TOAST = "toast";

    // Цвета таблицы
    public static final int CURR_COLOR = Color.WHITE;
    public static final int PNUM_COLOR = Color.parseColor("#00F0FF");
    public static final int PTIM_COLOR = Color.parseColor("#B6FF02");
    public static final int PWM_COLOR = Color.parseColor("#FFED02");

    // Режимы работы
    public static final int SPLASH_MODE = 0;    // Заставка
    public static final int MENU_MODE = 1;      // Меню
    public static final int ABOUT_MODE = 2;     // О приборе
    public static final int SETTINGS_MODE = 3;  // Настройка
    public static final int PROCEDURE_MODE = 4; // Процедура
    public static final int END_MODE = 5;       // Конец процедуры
}
